﻿//Prefab3D. www.closier.nl/prefab .  Fabrice Closier 2012

package nl.prefab.guys
{
	import nl.prefab.guys.data.PropertyData;
	import nl.prefab.guys.data.Target;
	
	public interface IGuy
	{
		function get id():String
		function get type():String
		function dispose(destroy:Boolean = false):void
		function update():void
		function restore():void
		function clone():IGuy
		function get properties():Vector.<PropertyData>
		function getProperty(propertyName:String):Vector.<PropertyData>
		function addPropertyData(propertyData:PropertyData):void
		function removePropertyData(propertyData:PropertyData):void
		function register(o:Object):void
		function get targets():Vector.<Target>
		function unregister(o:Object, restoreProperties:Boolean = true):void
		
	}
}