﻿//Prefab3D. www.closier.nl/prefab .  Fabrice Closier 2012

package nl.prefab.guys.events
{
	import flash.events.*;
	import nl.prefab.guys.data.PropertyData;
	
	public class GuyEvent extends Event
	{
		public static const PROPERTY_CHANGE:String = "property_change";
		
		//internals
		public static const GUY_UPDATE:String = "guy_update";
		public static const RESET:String = "reset";
		
		// in case of chain
		public static const SEQUENCE_CHANGE:String = "sequenceChange";
		
		
		// fired when a guy property list reaches the end and start loop from start
		public static const DONE:String = "done";
		
		// fired when a guy is updated
		public static const UPDATE:String = "update";
		
		// fired when a guy property list reaches the end and start loop from start
		public static const LOOP:String = "loop";
		
		// fired when a guy property list reaches the start and start play reverse from end
		public static const REVERSE:String = "reverse";
		
		// fired when a guy reaches the nearest goal (for instance FollowGuy has reached the target)
		public static const REACH:String = "reverse";
		
		
		// the guy unique id
		public var guyID:String;
		
		// the guy unique id
		public var propertyData:PropertyData;
		
		public function GuyEvent(type:String, bubbles:Boolean = false, cancelable:Boolean = false){
			super(type, bubbles, cancelable);
		}
		
	}
}